#!/bin/bash

mkdir -p /home/ubuntu/.juju
cat > /home/ubuntu/.juju/environments.yaml << EOF
default: precise
environments:
  precise:
    type: openstack
    control-bucket: __CONTROL__
    admin-secret: __SECRET__
    auth-url: __OS_AUTH_URL__
    region: serverstack
    username: __TENANT__
    password: __PASSWORD__
    tenant-name: __TENANT__
    image-stream: daily
    apt-http-proxy: http://10.245.160.2:8000
EOF

cat > /home/ubuntu/novarc << EOF
export OS_AUTH_URL=__OS_AUTH_URL__
export OS_TENANT_NAME=__TENANT__
export OS_USERNAME=__TENANT__
export OS_PASSWORD=__PASSWORD__
export OS_REGION_NAME=serverstack
EOF

mkdir -p /home/ubuntu/.ssh
cat > /home/ubuntu/.ssh/config << EOF
Host 10.5.* 
    UserKnownHostsFile /dev/null
    StrictHostKeyChecking no
    User ubuntu
EOF

mkdir -p /etc/serverstack-dns
cat > /etc/serverstack-dns/dns.conf << EOF
[DEFAULT]
include_tenants = /etc/serverstack-dns/tenant_ids
hosts_file = /etc/serverstack-dns/tenant_hosts
domain = openstacklocal
rabbit_user = neutron
rabbit_password = mWS4ZMt6ny66n8WnSjwpTYjmyqfdpsVPxPmR24HZPr2pqKftCMVNwnfS2zS5wmkf
rabbit_host = 10.245.160.83
rabbit_vhost = openstack
rabbit_exchange = neutron
rabbit_topic = notifications.info
os_username = __TENANT__
os_password = __PASSWORD__
os_tenant_name = __TENANT__
os_auth_url = __OS_AUTH_URL__
upstream_dns = 10.245.160.2
EOF

echo "__TENANT_ID__" > /etc/serverstack-dns/tenant_ids

service serverstack-dns restart || :

chown -R ubuntu:ubuntu /home/ubuntu
