Deployment Challenges
=====================

MTUs
----

LXC
+++

Using the dhcp configuration option for mtu worked fine, with interfaces configuring to 9000 by default.

However, as expected, as soon as LXC instances are launched, the mtu drops back to 1500 - this caused some issues with RMQ specifically.

Multiple Networks
+++++++++++++++++

One compute node came up with two network interfaces configured on the same network; as a result the MTU was incorrectly set for eth1, and juju decided that was the units private address, so it got plugged into neutron - resulting in fragmentation failures for instances on that node.

RabbitMQ
--------

The 3 node service failed to cluster to start with; this was due to mismatching MTUs on on the physical host between the eth0 device, juju-br0 and the lxc veth device; fixing these all to 9000 resolved this initial issue.

I torn down the rabbitmq units and re-added them; they then went into a cluster-relation-changed loop for some reason.

Torn down again; added 1 new unit, waited for that to startup and then added a further two; RabbitMQ successfully clustered.

Keystone
--------

Keyscans between peers where taking a long time; this was due to MTU mismatch issues; fixing this resolved the problem.

PXC
---

Units all started OK with no errors; however they where not natively clustered; restarting the second two units resolved this problem, but I would suspect some sort of race between the units on startup.

Creating one unit, waiting for it to start in full and then adding the other two is the recommended best practice.
