#!/bin/bash

set -e

export GOPATH=`pwd`

go install -v launchpad.net/juju-core/cmd/juju
go install -v launchpad.net/juju-core/cmd/plugins/juju-metadata
go install -v launchpad.net/juju-core/cmd/jujud


version=$(${GOPATH}/bin/juju version | cut -d - -f 1)

echo "Creating tools for $version"

mkdir -p tools/releases

for i in precise quantal raring saucy trusty; do
  d=$(mktemp -d)
  cp ${GOPATH}/bin/jujud $d
  echo $version > $d/FORCE-VERSION
  tar -czf tools/releases/juju-$version-$i-amd64.tgz -C $d jujud FORCE-VERSION
  rm -rf $d
done

