#!/bin/bash

juju sync-tools --local-dir `pwd` --all --public

# ServerStack tools
swift delete juju-dist
swift post -r ".r:*,.rlistings" juju-dist
swift upload juju-dist tools/*
swift upload juju-dist bin/juju

function get_id() {
    $@ | grep " id" | awk '{ print $4 }'
}

if ! keystone service-list | grep -q juju-tools; then
    service_id=$(get_id keystone service-create  --name juju-tools --type juju-tools --description "Ubuntu_Juju_Tools")
    base_url=$(keystone catalog --service object-store | grep publicURL | awk '{ print $4 }')
    keystone endpoint-create --region serverstack --service-id $service_id \
        --publicurl $base_url/juju-dist/tools --adminurl=$base_url/juju-dist/tools \
        --internalurl=$base_url/juju-dist/tools
fi
